#!/bin/bash

min=${1:-3}
#echo "単語と識別する最小文字数=$min"

c=0 # 単語の数
s=0 # 辞書に適合した数
for w in $(tr -cs [:alpha:] "\n" | sort | uniq) ; do
    #[ ${#w} -ge $min ] && let c++ && grep "^${w}$" /usr/share/dict/words && let s++
    [ ${#w} -ge $min ] && let c++ && grep "^${w}$" /usr/share/dict/words > /dev/null && let s++
done
printf "%d/%d\n" $s $c
