#!/bin/bash

upper="ABCDEFGHIJKLMNOPQRSTUVWXYZ"
lower="abcdefghijklmnopqrstuvwxyz"

# Fisher-Yates Shuffle Algorithm
upper2=(A B C D E F G H I J K L M N O P Q R S T U V W X Y Z)
for ((i=25; i>0; i--)) ;  do
    j=$(( ${RANDOM} % (i+1) ))
    t=${upper2[$i]}
    upper2[$i]=${upper2[$j]}
    upper2[$j]=$t
done
upper2=$(tr -d ' ' <<<  ${upper2[@]} )
lower2=$(tr [:upper:] [:lower:] <<< ${upper2})

sed -e "y/${upper}/${upper2}/; y/${lower}/${lower2}/"
echo "DECODE: sed -e \"y/${upper2}/${upper}/; y/${lower2}/${lower}/\" " 1>&2
